## org.apache.myfaces.custom.datascroller
Class ScrollerActionEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              javax.faces.event.ActionEvent
                  org.apache.myfaces.custom.datascroller.ScrollerActionEvent

All Implemented Interfaces:
  java.io.Serializable

public class ScrollerActionEvent
extends javax.faces.event.ActionEvent

Version:
  $Revision$ $Date$
Author:
  Mathias Broekelmann (latest modification by $Author$)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ScrollerActionEvent(javax.faces.component.UIComponent component, int pageIndex)`
`ScrollerActionEvent(javax.faces.component.UIComponent component, java.lang.String scrollerfacet)`

Method Summary
`int` `getPageIndex()`
`java.lang.String` `getScrollerfacet()`

Methods inherited from class javax.faces.event.ActionEvent
`isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScrollerActionEvent

    public ScrollerActionEvent(javax.faces.component.UIComponent component,
                               java.lang.String scrollerfacet)

Parameters:
  `component` -
  `scrollerfacet` -

### ScrollerActionEvent

    public ScrollerActionEvent(javax.faces.component.UIComponent component,
                               int pageIndex)

Method Detail

### getScrollerfacet

    public java.lang.String getScrollerfacet()

  Returns:
    Returns the scrollerfacet.

### getPageIndex

    public int getPageIndex()

  Returns:
    int